org.apache.uima.ruta.example.extensions

## Class ExampleStringFunctionIDEExtension

- java.lang.Object
- - org.apache.uima.ruta.example.extensions.ExampleStringFunctionIDEExtension

- All Implemented Interfaces:
    org.apache.uima.ruta.ide.core.extensions.IIDEStringFunctionExtension, org.apache.uima.ruta.ide.core.extensions.IRutaExtension

      public class ExampleStringFunctionIDEExtension
      extends Object
      implements org.apache.uima.ruta.ide.core.extensions.IIDEStringFunctionExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleStringFunctionIDEExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkSyntax(org.eclipse.dltk.ast.expressions.Expression element, org.apache.uima.ruta.ide.core.extensions.IRutaCheckerProblemFactory problemFactory, org.eclipse.dltk.compiler.problem.IProblemReporter rep)`
    `String[]` | `getKnownExtensions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleStringFunctionIDEExtension

          public ExampleStringFunctionIDEExtension()

  - ### Method Detail

    - #### getKnownExtensions

          public String[] getKnownExtensions()

      Specified by:
        `getKnownExtensions` in interface `org.apache.uima.ruta.ide.core.extensions.IRutaExtension`

    - #### checkSyntax

          public boolean checkSyntax(org.eclipse.dltk.ast.expressions.Expression element,
                                     org.apache.uima.ruta.ide.core.extensions.IRutaCheckerProblemFactory problemFactory,
                                     org.eclipse.dltk.compiler.problem.IProblemReporter rep)
                              throws org.antlr.runtime.RecognitionException

      Specified by:
        `checkSyntax` in interface `org.apache.uima.ruta.ide.core.extensions.IRutaExtension`
      Throws:
        `org.antlr.runtime.RecognitionException`

Copyright © 2011–2022 The Apache Software Foundation. All rights reserved.